List Chargebacks
GET
/v1/payments/{id}/chargebacksOptionalList the chargebacks raised against a payment.
Authentication
Signature Pattern
HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/payments/{id}/chargebacks\n{sha256(\"\")}")| Header | Value | Description |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Response Parameters
| Field | Type | Example |
|---|---|---|
items | array | […] |
items[].id | string | "cbk_6f708192a3b4" |
items[].paymentId | string | "pay_1a2b3c4d5e6f" |
items[].amount | integer | 15000 |
items[].status | string | "received" |
items[].reasonCode | string | "10.4" |
items[].bankChargebackId | string | "bcb_2026041300019" |
items[].receivedAt | string | "2026-04-20T09:00:00Z" |
Response Example
JSONResponse
{
"items": [
{
"id": "cbk_6f708192a3b4",
"paymentId": "pay_1a2b3c4d5e6f",
"amount": 15000,
"status": "received",
"reasonCode": "10.4",
"bankChargebackId": "bcb_2026041300019",
"receivedAt": "2026-04-20T09:00:00Z"
}
]
}Status Codes
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group